import java.util.*;

public class Royaume {
    private int argent;
    private List<Village> villages;

    public Royaume(int argent) {
        villages = new ArrayList<Village> ();
        this.argent = argent;
    }

    public int argent() {
	return argent;
    }
    
    public void depense(int n) {
	argent -= n;
    }
	
    public int nombreVillages(){
	return villages.size();
    }

    public void impot() {
	for(Village v:villages){
	    v.impot();
	    argent += v.argent();
	    v.depense(v.argent());
	}
    }

    public void vieillir() {
	for(Village v:villages){
	    v.vieillir();
	}
    }

    public void production() {
	for(Village v:villages){
	    v.production();
	}
    }


    public void ajouteVillage(Village v) {
	villages.add(v);
    }

    public void ajouteHabitant(Roturier r) {
	int villageRandom = (int) (Math.random() * (villages.size()));
	villages.get(villageRandom).ajouteHabitant(r);
    }

    public String toString() {
	String result = "********************\nRoyaume :\n";
	result += "\t Argent : "+argent+"\n\n";
	
	for(int i = 0; i<villages.size(); i++){
	    result += villages.get(i).toString(i)+"\n";
	}
	return result+"********************";
    }

    public void clear() {
	villages.clear();
    }

}
